POST /_system/storages

Create a new storage configuration (requires setting_system_storages permission)

Create a new storage configuration (requires setting_system_storages permission)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
configurationoptionalobject
{}
namerequiredstring
"production"
Storage collection name
schema_definitionoptionalobject
{}
typerequiredstring
"elasticsearch"
Allowed: "elasticsearch", "mysql", "file", "redis"
{
  "_meta": {
    "cms": 1782166695813,
    "created": 1782166695,
    "entity": 1,
    "expiry": 3600,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "removed": 0,
    "ums": 1782166695813,
    "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "updated": 1782166695
  },
  "name": "production",
  "options": {
    "revisions": true,
    "revisions_expiry_time": 1782166695,
    "time_series": "2026-07-24T12:00:00Z"
  }
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
storages_createRequired scope: storages_create

Back to System Storages Return to the System Storages category to view other endpoints All API Categories Browse all available API categories